net.minecraftforge.client.event

## Class EntityViewRenderEvent.FogDensity

- java.lang.Object
- - cpw.mods.fml.common.eventhandler.Event
  - - net.minecraftforge.client.event.EntityViewRenderEvent
    - - net.minecraftforge.client.event.EntityViewRenderEvent.FogDensity

- Enclosing class:
    EntityViewRenderEvent

      public static class EntityViewRenderEvent.FogDensity
      extends EntityViewRenderEvent

  Event that allows any feature to customize the fog density the player sees. NOTE: In order to make this event have an effect, you must cancel the event

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraftforge.client.event.EntityViewRenderEvent

      `EntityViewRenderEvent.FogColors, EntityViewRenderEvent.FogDensity`

    - ### Nested classes/interfaces inherited from class cpw.mods.fml.common.eventhandler.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `float` | `density`

    - ### Fields inherited from class net.minecraftforge.client.event.EntityViewRenderEvent

      `block, entity, renderer, renderPartialTicks`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityViewRenderEvent.FogDensity(EntityRenderer renderer, EntityLivingBase entity, Block block, double renderPartialTicks, float density)`

  - ### Method Summary

    - ### Methods inherited from class cpw.mods.fml.common.eventhandler.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### density

          public float density

  - ### Constructor Detail

    - #### EntityViewRenderEvent.FogDensity

          public EntityViewRenderEvent.FogDensity(EntityRenderer renderer,
                                          EntityLivingBase entity,
                                          Block block,
                                          double renderPartialTicks,
                                          float density)